Skip to navigation

Delete Invited User

View as Markdown

Deletes a user who has been invited to your company but has not yet logged in.

If a new user has previously been invited to your company, but now you want to cancel the invite before the user logs in, you can use this endpoint. You might want to do this, for example, if the wrong user has been sent the email invite, or there was a mistake made when entering the email address.

The email address of a user that has been created cannot be modified, therefore you can use this endpoint to delete the new user and later recreate it with the correct details.

Note: Users cannot be deleted if they have logged in. In this case, they need to be made inactive instead of being deleted. The Update User Details endpoint can be used to make a user inactive.

Status Code 400

The user cannot be deleted when this status code is returned. This can happen in these situations:

  • invitationPending is not True () (The user has already logged in)
  • Idpid is null or empty

Path parameters

employeeIdstringRequired

Response

Delete Invited User - Success / Delete Invited User - Success

messagestringOptional
termsstringOptional

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error